diff --git a/dlls/mfplat/tests/mfplat.c b/dlls/mfplat/tests/mfplat.c
index 8d21f2ed6..20577453f 100644
--- a/dlls/mfplat/tests/mfplat.c
+++ b/dlls/mfplat/tests/mfplat.c
@@ -3100,30 +3066,30 @@ static void test_scheduled_items(void)
     }
 
     hr = MFCreateAsyncResult(NULL, &callback->IMFAsyncCallback_iface, NULL, &result);
-    ok(hr == S_OK, "Failed to create result, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create result, hr %#x.\n", hr);
 
     hr = pMFPutWaitingWorkItem(NULL, 0, result, &key);
-    ok(hr == S_OK, "Failed to add waiting item, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to add waiting item, hr %#x.\n", hr);
 
     hr = pMFPutWaitingWorkItem(NULL, 0, result, &key2);
-    ok(hr == S_OK, "Failed to add waiting item, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to add waiting item, hr %#x.\n", hr);
 
     hr = MFCancelWorkItem(key);
-    ok(hr == S_OK, "Failed to cancel item, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to cancel item, hr %#x.\n", hr);
 
     hr = MFCancelWorkItem(key2);
-    ok(hr == S_OK, "Failed to cancel item, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to cancel item, hr %#x.\n", hr);
 
     IMFAsyncResult_Release(result);
 
     hr = MFScheduleWorkItem(&callback->IMFAsyncCallback_iface, NULL, -5000, &key);
-    ok(hr == S_OK, "Failed to schedule item, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to schedule item, hr %#x.\n", hr);
 
     hr = MFCancelWorkItem(key);
-    ok(hr == S_OK, "Failed to cancel item, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to cancel item, hr %#x.\n", hr);
 
     hr = MFShutdown();
-    ok(hr == S_OK, "Failed to shut down, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to shut down, hr %#x.\n", hr);
 
     IMFAsyncCallback_Release(&callback->IMFAsyncCallback_iface);
 }
@@ -3150,7 +3116,7 @@ static void test_serial_queue(void)
     }
 
     hr = MFStartup(MF_VERSION, MFSTARTUP_FULL);
-    ok(hr == S_OK, "Failed to start up, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to start up, hr %#x.\n", hr);
 
     for (i = 0; i < ARRAY_SIZE(queue_ids); ++i)
     {
@@ -3159,30 +3125,30 @@ static void test_serial_queue(void)
 
         hr = pMFAllocateSerialWorkQueue(queue_ids[i], &serial_queue);
         ok(hr == S_OK || broken(broken_types && hr == E_INVALIDARG) /* Win8 */,
-                "%u: failed to allocate a queue, hr %#lx.\n", i, hr);
+                "%u: failed to allocate a queue, hr %#x.\n", i, hr);
 
         if (SUCCEEDED(hr))
         {
             hr = MFUnlockWorkQueue(serial_queue);
-            ok(hr == S_OK, "%u: failed to unlock the queue, hr %#lx.\n", i, hr);
+            ok(hr == S_OK, "%u: failed to unlock the queue, hr %#x.\n", i, hr);
         }
     }
 
     /* Chain them together. */
     hr = pMFAllocateSerialWorkQueue(MFASYNC_CALLBACK_QUEUE_STANDARD, &serial_queue);
-    ok(hr == S_OK, "Failed to allocate a queue, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to allocate a queue, hr %#x.\n", hr);
 
     hr = pMFAllocateSerialWorkQueue(serial_queue, &queue);
-    ok(hr == S_OK, "Failed to allocate a queue, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to allocate a queue, hr %#x.\n", hr);
 
     hr = MFUnlockWorkQueue(serial_queue);
-    ok(hr == S_OK, "Failed to unlock the queue, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to unlock the queue, hr %#x.\n", hr);
 
     hr = MFUnlockWorkQueue(queue);
-    ok(hr == S_OK, "Failed to unlock the queue, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to unlock the queue, hr %#x.\n", hr);
 
     hr = MFShutdown();
-    ok(hr == S_OK, "Failed to shut down, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to shut down, hr %#x.\n", hr);
 }
 
 static LONG periodic_counter;
@@ -3197,36 +3163,36 @@ static void test_periodic_callback(void)
     HRESULT hr;
 
     hr = MFStartup(MF_VERSION, MFSTARTUP_FULL);
-    ok(hr == S_OK, "Failed to start up, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to start up, hr %#x.\n", hr);
 
     period = 0;
     hr = MFGetTimerPeriodicity(&period);
-    ok(hr == S_OK, "Failed to get timer perdiod, hr %#lx.\n", hr);
-    ok(period == 10, "Unexpected period %lu.\n", period);
+    ok(hr == S_OK, "Failed to get timer perdiod, hr %#x.\n", hr);
+    ok(period == 10, "Unexpected period %u.\n", period);
 
     if (!pMFAddPeriodicCallback)
     {
         win_skip("Periodic callbacks are not supported.\n");
         hr = MFShutdown();
-        ok(hr == S_OK, "Failed to shut down, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to shut down, hr %#x.\n", hr);
         return;
     }
 
-    ok(periodic_counter == 0, "Unexpected counter value %lu.\n", periodic_counter);
+    ok(periodic_counter == 0, "Unexpected counter value %u.\n", periodic_counter);
 
     hr = pMFAddPeriodicCallback(periodic_callback, NULL, &key);
-    ok(hr == S_OK, "Failed to add periodic callback, hr %#lx.\n", hr);
-    ok(key != 0, "Unexpected key %#lx.\n", key);
+    ok(hr == S_OK, "Failed to add periodic callback, hr %#x.\n", hr);
+    ok(key != 0, "Unexpected key %#x.\n", key);
 
     Sleep(10 * period);
 
     hr = pMFRemovePeriodicCallback(key);
-    ok(hr == S_OK, "Failed to remove callback, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to remove callback, hr %#x.\n", hr);
 
-    ok(periodic_counter > 0, "Unexpected counter value %lu.\n", periodic_counter);
+    ok(periodic_counter > 0, "Unexpected counter value %u.\n", periodic_counter);
 
     hr = MFShutdown();
-    ok(hr == S_OK, "Failed to shut down, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to shut down, hr %#x.\n", hr);
 }
 
 static void test_event_queue(void)
@@ -3242,108 +3208,108 @@ static void test_event_queue(void)
     callback2 = create_test_callback(NULL);
 
     hr = MFStartup(MF_VERSION, MFSTARTUP_FULL);
-    ok(hr == S_OK, "Failed to start up, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to start up, hr %#x.\n", hr);
 
     hr = MFCreateEventQueue(&queue);
-    ok(hr == S_OK, "Failed to create event queue, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create event queue, hr %#x.\n", hr);
 
     hr = IMFMediaEventQueue_GetEvent(queue, MF_EVENT_FLAG_NO_WAIT, &event);
-    ok(hr == MF_E_NO_EVENTS_AVAILABLE, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_NO_EVENTS_AVAILABLE, "Unexpected hr %#x.\n", hr);
 
     hr = MFCreateMediaEvent(MEError, &GUID_NULL, E_FAIL, NULL, &event);
-    ok(hr == S_OK, "Failed to create event object, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create event object, hr %#x.\n", hr);
 
     if (is_win8_plus)
     {
         hr = IMFMediaEventQueue_QueueEvent(queue, event);
-        ok(hr == S_OK, "Failed to queue event, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to queue event, hr %#x.\n", hr);
 
         hr = IMFMediaEventQueue_GetEvent(queue, MF_EVENT_FLAG_NO_WAIT, &event2);
-        ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+        ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
         ok(event2 == event, "Unexpected event object.\n");
         IMFMediaEvent_Release(event2);
 
         hr = IMFMediaEventQueue_QueueEvent(queue, event);
-        ok(hr == S_OK, "Failed to queue event, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to queue event, hr %#x.\n", hr);
 
         hr = IMFMediaEventQueue_GetEvent(queue, 0, &event2);
-        ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+        ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
         IMFMediaEvent_Release(event2);
     }
 
     /* Async case. */
     hr = IMFMediaEventQueue_BeginGetEvent(queue, NULL, NULL);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Unexpected hr %#x.\n", hr);
 
     hr = IMFMediaEventQueue_BeginGetEvent(queue, &callback->IMFAsyncCallback_iface, (IUnknown *)queue);
-    ok(hr == S_OK, "Failed to Begin*, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to Begin*, hr %#x.\n", hr);
 
     /* Same callback, same state. */
     hr = IMFMediaEventQueue_BeginGetEvent(queue, &callback->IMFAsyncCallback_iface, (IUnknown *)queue);
-    ok(hr == MF_S_MULTIPLE_BEGIN, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_S_MULTIPLE_BEGIN, "Unexpected hr %#x.\n", hr);
 
     /* Same callback, different state. */
     hr = IMFMediaEventQueue_BeginGetEvent(queue, &callback->IMFAsyncCallback_iface, (IUnknown *)&callback->IMFAsyncCallback_iface);
-    ok(hr == MF_E_MULTIPLE_BEGIN, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_MULTIPLE_BEGIN, "Unexpected hr %#x.\n", hr);
 
     /* Different callback, same state. */
     hr = IMFMediaEventQueue_BeginGetEvent(queue, &callback2->IMFAsyncCallback_iface, (IUnknown *)queue);
-    ok(hr == MF_E_MULTIPLE_SUBSCRIBERS, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_MULTIPLE_SUBSCRIBERS, "Unexpected hr %#x.\n", hr);
 
     /* Different callback, different state. */
     hr = IMFMediaEventQueue_BeginGetEvent(queue, &callback2->IMFAsyncCallback_iface, (IUnknown *)&callback->IMFAsyncCallback_iface);
-    ok(hr == MF_E_MULTIPLE_SUBSCRIBERS, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_MULTIPLE_SUBSCRIBERS, "Unexpected hr %#x.\n", hr);
 
     callback->event = CreateEventA(NULL, FALSE, FALSE, NULL);
 
     hr = IMFMediaEventQueue_QueueEvent(queue, event);
-    ok(hr == S_OK, "Failed to queue event, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to queue event, hr %#x.\n", hr);
 
     ret = WaitForSingleObject(callback->event, 500);
-    ok(ret == WAIT_OBJECT_0, "Unexpected return value %#lx.\n", ret);
+    ok(ret == WAIT_OBJECT_0, "Unexpected return value %#x.\n", ret);
 
     CloseHandle(callback->event);
 
     IMFMediaEvent_Release(event);
 
     hr = MFCreateAsyncResult(NULL, &callback->IMFAsyncCallback_iface, NULL, &result);
-    ok(hr == S_OK, "Failed to create result, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create result, hr %#x.\n", hr);
 
     hr = IMFMediaEventQueue_EndGetEvent(queue, result, &event);
-    ok(hr == E_FAIL, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_FAIL, "Unexpected hr %#x.\n", hr);
 
     /* Shutdown behavior. */
     hr = IMFMediaEventQueue_Shutdown(queue);
-    ok(hr == S_OK, "Failed to shut down, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to shut down, hr %#x.\n", hr);
 
     hr = IMFMediaEventQueue_GetEvent(queue, MF_EVENT_FLAG_NO_WAIT, &event);
-    ok(hr == MF_E_SHUTDOWN, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_SHUTDOWN, "Unexpected hr %#x.\n", hr);
 
     hr = MFCreateMediaEvent(MEError, &GUID_NULL, E_FAIL, NULL, &event);
-    ok(hr == S_OK, "Failed to create event object, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create event object, hr %#x.\n", hr);
     hr = IMFMediaEventQueue_QueueEvent(queue, event);
-    ok(hr == MF_E_SHUTDOWN, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_SHUTDOWN, "Unexpected hr %#x.\n", hr);
     IMFMediaEvent_Release(event);
 
     hr = IMFMediaEventQueue_QueueEventParamUnk(queue, MEError, &GUID_NULL, E_FAIL, NULL);
-    ok(hr == MF_E_SHUTDOWN, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_SHUTDOWN, "Unexpected hr %#x.\n", hr);
 
     hr = IMFMediaEventQueue_QueueEventParamVar(queue, MEError, &GUID_NULL, E_FAIL, NULL);
-    ok(hr == MF_E_SHUTDOWN, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_SHUTDOWN, "Unexpected hr %#x.\n", hr);
 
     hr = IMFMediaEventQueue_BeginGetEvent(queue, &callback->IMFAsyncCallback_iface, NULL);
-    ok(hr == MF_E_SHUTDOWN, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_SHUTDOWN, "Unexpected hr %#x.\n", hr);
 
     hr = IMFMediaEventQueue_BeginGetEvent(queue, NULL, NULL);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Unexpected hr %#x.\n", hr);
 
     hr = IMFMediaEventQueue_EndGetEvent(queue, result, &event);
-    ok(hr == MF_E_SHUTDOWN, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_SHUTDOWN, "Unexpected hr %#x.\n", hr);
     IMFAsyncResult_Release(result);
 
     /* Already shut down. */
     hr = IMFMediaEventQueue_Shutdown(queue);
-    ok(hr == S_OK, "Failed to shut down, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to shut down, hr %#x.\n", hr);
 
     IMFMediaEventQueue_Release(queue);
     IMFAsyncCallback_Release(&callback->IMFAsyncCallback_iface);
@@ -3352,20 +3318,20 @@ static void test_event_queue(void)
     callback = create_test_callback(NULL);
 
     hr = MFCreateEventQueue(&queue);
-    ok(hr == S_OK, "Failed to create event queue, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create event queue, hr %#x.\n", hr);
 
     hr = IMFMediaEventQueue_BeginGetEvent(queue, &callback->IMFAsyncCallback_iface, NULL);
-    ok(hr == S_OK, "Failed to Begin*, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to Begin*, hr %#x.\n", hr);
     EXPECT_REF(&callback->IMFAsyncCallback_iface, 2);
 
     IMFMediaEventQueue_Release(queue);
     ret = get_refcount(&callback->IMFAsyncCallback_iface);
     ok(ret == 1 || broken(ret == 2) /* Vista */,
-       "Unexpected refcount %ld, expected 1.\n", ret);
+       "Unexpected refcount %d, expected 1.\n", ret);
     IMFAsyncCallback_Release(&callback->IMFAsyncCallback_iface);
 
     hr = MFShutdown();
-    ok(hr == S_OK, "Failed to shut down, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to shut down, hr %#x.\n", hr);
 }
 
 static void test_presentation_descriptor(void)
@@ -3380,58 +3346,58 @@ static void test_presentation_descriptor(void)
     HRESULT hr;
 
     hr = MFCreateMediaType(&media_type);
-    ok(hr == S_OK, "Failed to create media type, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create media type, hr %#x.\n", hr);
 
     for (i = 0; i < ARRAY_SIZE(stream_desc); ++i)
     {
         hr = MFCreateStreamDescriptor(0, 1, &media_type, &stream_desc[i]);
-        ok(hr == S_OK, "Failed to create descriptor, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to create descriptor, hr %#x.\n", hr);
     }
 
     hr = MFCreatePresentationDescriptor(ARRAY_SIZE(stream_desc), stream_desc, &pd);
-    ok(hr == S_OK, "Failed to create presentation descriptor, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create presentation descriptor, hr %#x.\n", hr);
 
     hr = IMFPresentationDescriptor_GetStreamDescriptorCount(pd, &count);
-    ok(count == ARRAY_SIZE(stream_desc), "Unexpected count %lu.\n", count);
+    ok(count == ARRAY_SIZE(stream_desc), "Unexpected count %u.\n", count);
 
     for (i = 0; i < count; ++i)
     {
         hr = IMFPresentationDescriptor_GetStreamDescriptorByIndex(pd, i, &selected, &stream_desc2);
-        ok(hr == S_OK, "Failed to get stream descriptor, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to get stream descriptor, hr %#x.\n", hr);
         ok(!selected, "Unexpected selected state.\n");
         ok(stream_desc[i] == stream_desc2, "Unexpected object.\n");
         IMFStreamDescriptor_Release(stream_desc2);
     }
 
     hr = IMFPresentationDescriptor_GetStreamDescriptorByIndex(pd, 10, &selected, &stream_desc2);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Unexpected hr %#x.\n", hr);
 
     hr = IMFPresentationDescriptor_SelectStream(pd, 10);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Unexpected hr %#x.\n", hr);
 
     hr = IMFPresentationDescriptor_SelectStream(pd, 0);
-    ok(hr == S_OK, "Failed to select a stream, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to select a stream, hr %#x.\n", hr);
 
     hr = IMFPresentationDescriptor_GetStreamDescriptorByIndex(pd, 0, &selected, &stream_desc2);
-    ok(hr == S_OK, "Failed to get stream descriptor, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get stream descriptor, hr %#x.\n", hr);
     ok(!!selected, "Unexpected selected state.\n");
     IMFStreamDescriptor_Release(stream_desc2);
 
     hr = IMFPresentationDescriptor_SetUINT64(pd, &MF_PD_TOTAL_FILE_SIZE, 1);
-    ok(hr == S_OK, "Failed to set attribute, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set attribute, hr %#x.\n", hr);
 
     hr = IMFPresentationDescriptor_Clone(pd, &pd2);
-    ok(hr == S_OK, "Failed to clone, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to clone, hr %#x.\n", hr);
 
     hr = IMFPresentationDescriptor_GetStreamDescriptorByIndex(pd2, 0, &selected, &stream_desc2);
-    ok(hr == S_OK, "Failed to get stream descriptor, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get stream descriptor, hr %#x.\n", hr);
     ok(!!selected, "Unexpected selected state.\n");
     ok(stream_desc2 == stream_desc[0], "Unexpected stream descriptor.\n");
     IMFStreamDescriptor_Release(stream_desc2);
 
     value = 0;
     hr = IMFPresentationDescriptor_GetUINT64(pd2, &MF_PD_TOTAL_FILE_SIZE, &value);
-    ok(hr == S_OK, "Failed to get attribute, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get attribute, hr %#x.\n", hr);
     ok(value == 1, "Unexpected attribute value.\n");
 
     IMFPresentationDescriptor_Release(pd2);
@@ -3444,11 +3410,11 @@ static void test_presentation_descriptor(void)
 
     /* Partially initialized array. */
     hr = MFCreateStreamDescriptor(0, 1, &media_type, &stream_desc[1]);
-    ok(hr == S_OK, "Failed to create descriptor, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create descriptor, hr %#x.\n", hr);
     stream_desc[0] = NULL;
 
     hr = MFCreatePresentationDescriptor(ARRAY_SIZE(stream_desc), stream_desc, &pd);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Unexpected hr %#x.\n", hr);
 
     IMFStreamDescriptor_Release(stream_desc[1]);
     IMFMediaType_Release(media_type);
@@ -3502,24 +3468,24 @@ static void test_system_time_source(void)
     HRESULT hr;
 
     hr = MFCreateSystemTimeSource(&time_source);
-    ok(hr == S_OK, "Failed to create time source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create time source, hr %#x.\n", hr);
 
     hr = IMFPresentationTimeSource_GetClockCharacteristics(time_source, &value);
-    ok(hr == S_OK, "Failed to get flags, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get flags, hr %#x.\n", hr);
     ok(value == (MFCLOCK_CHARACTERISTICS_FLAG_FREQUENCY_10MHZ | MFCLOCK_CHARACTERISTICS_FLAG_IS_SYSTEM_CLOCK),
-            "Unexpected flags %#lx.\n", value);
+            "Unexpected flags %#x.\n", value);
 
     value = 1;
     hr = IMFPresentationTimeSource_GetContinuityKey(time_source, &value);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
-    ok(value == 0, "Unexpected value %lu.\n", value);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
+    ok(value == 0, "Unexpected value %u.\n", value);
 
     hr = IMFPresentationTimeSource_GetState(time_source, 0, &state);
-    ok(hr == S_OK, "Failed to get state, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get state, hr %#x.\n", hr);
     ok(state == MFCLOCK_STATE_INVALID, "Unexpected state %d.\n", state);
 
     hr = IMFPresentationTimeSource_QueryInterface(time_source, &IID_IMFClockStateSink, (void **)&statesink);
-    ok(hr == S_OK, "Failed to get state sink, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get state sink, hr %#x.\n", hr);
 
     /* State changes. */
     for (i = 0; i < ARRAY_SIZE(clock_state_change); ++i)
@@ -3541,9 +3507,9 @@ static void test_system_time_source(void)
             default:
                 ;
         }
-        ok(hr == (clock_state_change[i].is_invalid ? MF_E_INVALIDREQUEST : S_OK), "%u: unexpected hr %#lx.\n", i, hr);
+        ok(hr == (clock_state_change[i].is_invalid ? MF_E_INVALIDREQUEST : S_OK), "%u: unexpected hr %#x.\n", i, hr);
         hr = IMFPresentationTimeSource_GetState(time_source, 0, &state);
-        ok(hr == S_OK, "%u: failed to get state, hr %#lx.\n", i, hr);
+        ok(hr == S_OK, "%u: failed to get state, hr %#x.\n", i, hr);
         ok(state == clock_state_change[i].state, "%u: unexpected state %d.\n", i, state);
     }
 
@@ -3551,32 +3517,32 @@ static void test_system_time_source(void)
 
     /* Properties. */
     hr = IMFPresentationTimeSource_GetProperties(time_source, NULL);
-    ok(hr == E_POINTER, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Unexpected hr %#x.\n", hr);
 
     hr = IMFPresentationTimeSource_GetProperties(time_source, &props);
-    ok(hr == S_OK, "Failed to get clock properties, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get clock properties, hr %#x.\n", hr);
 
     ok(props.qwCorrelationRate == 0, "Unexpected correlation rate %s.\n",
             wine_dbgstr_longlong(props.qwCorrelationRate));
     ok(IsEqualGUID(&props.guidClockId, &GUID_NULL), "Unexpected clock id %s.\n", wine_dbgstr_guid(&props.guidClockId));
-    ok(props.dwClockFlags == 0, "Unexpected flags %#lx.\n", props.dwClockFlags);
+    ok(props.dwClockFlags == 0, "Unexpected flags %#x.\n", props.dwClockFlags);
     ok(props.qwClockFrequency == MFCLOCK_FREQUENCY_HNS, "Unexpected frequency %s.\n",
             wine_dbgstr_longlong(props.qwClockFrequency));
-    ok(props.dwClockTolerance == MFCLOCK_TOLERANCE_UNKNOWN, "Unexpected tolerance %lu.\n", props.dwClockTolerance);
-    ok(props.dwClockJitter == 1, "Unexpected jitter %lu.\n", props.dwClockJitter);
+    ok(props.dwClockTolerance == MFCLOCK_TOLERANCE_UNKNOWN, "Unexpected tolerance %u.\n", props.dwClockTolerance);
+    ok(props.dwClockJitter == 1, "Unexpected jitter %u.\n", props.dwClockJitter);
 
     /* Underlying clock. */
     hr = MFCreateSystemTimeSource(&time_source2);
-    ok(hr == S_OK, "Failed to create time source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create time source, hr %#x.\n", hr);
     EXPECT_REF(time_source2, 1);
     hr = IMFPresentationTimeSource_GetUnderlyingClock(time_source2, &clock2);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     EXPECT_REF(time_source2, 1);
     EXPECT_REF(clock2, 2);
 
     EXPECT_REF(time_source, 1);
     hr = IMFPresentationTimeSource_GetUnderlyingClock(time_source, &clock);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     EXPECT_REF(time_source, 1);
     EXPECT_REF(clock, 2);
 
